require 'spec_helper'


describe Dropper::Logger do
  let(:logger) { Dropper::Logger }
  let(:msg)    { "Hello World, This is a msg"  }

  before :each do
    logger.outpath = "dropper.log"
  end

  it "should have an outpath" do
    expect(logger.outpath).to eq "dropper.logr"
  end

  it "should log info to both loggers" do
    expect(logger.loggers[0]).to receive(:info).with(msg)
    expect(logger.loggers[1]).to receive(:info).with(msg)

    logger.info(msg)
  end

  it "should log debug to both loggers" do
    expect(logger.loggers[0]).to receive(:debug).with(msg)
    expect(logger.loggers[1]).to receive(:debug).with(msg)

    logger.debug(msg)
  end

  it "should log fatal to both loggers" do
    expect(logger.loggers[0]).to receive(:fatal).with(msg)
    expect(logger.loggers[1]).to receive(:fatal).with(msg)

    logger.fatal(msg)
  end

  it "should log warn to both loggers" do
    expect(logger.loggers[0]).to receive(:warn).with(msg)
    expect(logger.loggers[1]).to receive(:warn).with(msg)

    logger.warn(msg)
  end

  it "should log warn to both loggers" do
    expect(logger.loggers[0]).to receive(:error).with(msg)
    expect(logger.loggers[1]).to receive(:error).with(msg)

    logger.error(msg)
  end
end
